## ros-rolling-urdf-parser-plugin 2.5.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(urdf_parser_plugin)

find_package(ament_cmake_ros REQUIRED)
find_package(urdfdom_headers REQUIRED)

# Create and export a header-only target
add_library(urdf_parser_plugin INTERFACE)
target_include_directories(urdf_parser_plugin INTERFACE
  $<INSTALL_INTERFACE:include>
)
ament_target_dependencies(urdf_parser_plugin INTERFACE
  "urdfdom_headers"
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_cppcheck_LANGUAGE "c++")
  set(ament_cmake_uncrustify_ADDITIONAL_ARGS LANGUAGE "C++")
  ament_lint_auto_find_test_dependencies()
endif()

install(TARGETS urdf_parser_plugin EXPORT urdf_parser_plugin-export)
ament_export_targets(urdf_parser_plugin-export)
ament_export_dependencies(urdfdom_headers)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_package()

=== debian/changelog ===
ros-rolling-urdf-parser-plugin (2.5.3-1focal) focal; urgency=high

  * Add linter tests and fix errors (#30 <https://github.com/ros2/urdf/issues/30>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-urdf-parser-plugin (2.5.2-1focal) focal; urgency=high

  * Export urdfdom_headers as urdf_parser_plugin dependency. (#25 <https://github.com/ros2/urdf/issues/25>)
  * Contributors: Michel Hidalgo

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 12 May 2021 07:00:00 -0000

ros-rolling-urdf-parser-plugin (2.5.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-urdf-parser-plugin (2.5.0-1focal) focal; urgency=high

  * Make urdf plugable and revive urdf_parser_plugin (#13 <https://github.com/ros2/urdf/issues/13>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 05 Oct 2020 07:00:00 -0000

ros-rolling-urdf-parser-plugin (2.1.0-1focal) focal; urgency=high

  * Update project URLs (#2 <https://github.com/ros2/urdf/issues/2>)
  * Contributors: Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 25 Jun 2018 07:00:00 -0000

ros-rolling-urdf-parser-plugin (2.0.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 08 Dec 2017 08:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.12-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 08 Nov 2017 08:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.11-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 27 Jun 2017 07:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.10-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 24 Jun 2017 07:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.9-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 07:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.8-1focal) focal; urgency=high

  * add Chris and Shane as maintainers (#184 <https://github.com/ros/robot_model/issues/184>)
  * Contributors: William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.7-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 08:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.6-1focal) focal; urgency=high

  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 08:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.5-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 07:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.4-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 23 Aug 2016 07:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.3-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 07:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.2-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 07:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 10 Apr 2016 07:00:00 -0000

ros-rolling-urdf-parser-plugin (1.11.8-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 11 Sep 2015 07:00:00 -0000

ros-rolling-urdf-parser-plugin (1.11.7-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 22 Apr 2015 07:00:00 -0000

ros-rolling-urdf-parser-plugin (1.11.6-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 08:00:00 -0000

ros-rolling-urdf-parser-plugin (1.11.5-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 07:00:00 -0000

ros-rolling-urdf-parser-plugin (1.11.4-1focal) focal; urgency=high

  * moving to new dependency for urdfdom and urdfdom_headers. https://github.com/ros/rosdistro/issues/4633
  * Contributors: Tully Foote

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 07:00:00 -0000

ros-rolling-urdf-parser-plugin (1.11.3-1focal) focal; urgency=high

  * update usage of urdfdom_headers for indigo/trusty
  * Contributors: William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 07:00:00 -0000

ros-rolling-urdf-parser-plugin (1.11.2-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 22 Mar 2014 07:00:00 -0000

ros-rolling-urdf-parser-plugin (1.11.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 20 Mar 2014 07:00:00 -0000

ros-rolling-urdf-parser-plugin (1.11.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 21 Feb 2014 08:00:00 -0000

ros-rolling-urdf-parser-plugin (1.10.18-1focal) focal; urgency=high

  * add DEPENDS for kdl_parser
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Dec 2013 08:00:00 -0000

ros-rolling-urdf-parser-plugin (1.10.16-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 18 Nov 2013 08:00:00 -0000

ros-rolling-urdf-parser-plugin (1.10.15-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 17 Aug 2013 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-urdf-parser-plugin
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-urdfdom-headers, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-urdf-parser-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-urdfdom-headers, ros-rolling-ros-workspace
Description: This package contains a C++ base class for URDF parsers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-urdf-parser-plugin//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-urdf-parser-plugin 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Create and export a header-only target
 add_library(urdf_parser_plugin INTERFACE)
 target_include_directories(urdf_parser_plugin INTERFACE
-  $<INSTALL_INTERFACE:include>
+  $<INSTALL_INTERFACE:include/${PROJECT_NAME}>
 )
 ament_target_dependencies(urdf_parser_plugin INTERFACE
   "urdfdom_headers"
@@ -26,7 +26,7 @@
 
 install(
   DIRECTORY include/
-  DESTINATION include
+  DESTINATION include/${PROJECT_NAME}
 )
 
 ament_package()

=== debian/changelog ===
ros-rolling-urdf-parser-plugin (2.9.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-urdf-parser-plugin (2.8.2-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#35 <https://github.com/ros2/urdf/issues/35>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-urdf-parser-plugin (2.8.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-urdf-parser-plugin (2.8.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-urdf-parser-plugin (2.7.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 04 May 2022 00:00:00 -0000

ros-rolling-urdf-parser-plugin (2.6.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#31 <https://github.com/ros2/urdf/issues/31>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-urdf-parser-plugin (2.5.3-1jammy) jammy; urgency=high

  * Add linter tests and fix errors (#30 <https://github.com/ros2/urdf/issues/30>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-urdf-parser-plugin (2.5.2-1jammy) jammy; urgency=high

  * Export urdfdom_headers as urdf_parser_plugin dependency. (#25 <https://github.com/ros2/urdf/issues/25>)
  * Contributors: Michel Hidalgo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 12 May 2021 00:00:00 -0000

ros-rolling-urdf-parser-plugin (2.5.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-rolling-urdf-parser-plugin (2.5.0-1jammy) jammy; urgency=high

  * Make urdf plugable and revive urdf_parser_plugin (#13 <https://github.com/ros2/urdf/issues/13>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Oct 2020 00:00:00 -0000

ros-rolling-urdf-parser-plugin (2.1.0-1jammy) jammy; urgency=high

  * Update project URLs (#2 <https://github.com/ros2/urdf/issues/2>)
  * Contributors: Mikael Arguedas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Jun 2018 00:00:00 -0000

ros-rolling-urdf-parser-plugin (2.0.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 Dec 2017 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.12-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 08 Nov 2017 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.11-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 27 Jun 2017 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.10-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 24 Jun 2017 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.9-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Apr 2017 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.8-1jammy) jammy; urgency=high

  * add Chris and Shane as maintainers (#184 <https://github.com/ros/robot_model/issues/184>)
  * Contributors: William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.7-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Jan 2017 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.6-1jammy) jammy; urgency=high

  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 04 Jan 2017 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.5-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.4-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Aug 2016 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.3-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 12 Apr 2016 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.12.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 10 Apr 2016 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.11.8-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 11 Sep 2015 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.11.7-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 22 Apr 2015 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.11.6-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 30 Nov 2014 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.11.5-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Jul 2014 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.11.4-1jammy) jammy; urgency=high

  * moving to new dependency for urdfdom and urdfdom_headers. https://github.com/ros/rosdistro/issues/4633
  * Contributors: Tully Foote

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Jul 2014 00:00:00 -0000

ros-rolling-urdf-parser-plugin (1.11.3-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-rolling-urdf-parser-plugin
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-urdfdom-headers, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-urdf-parser-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-urdfdom-headers, ros-rolling-ros-workspace
Description: This package contains a C++ base class for URDF parsers.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
